跳至内容

启动集群设备

先决条件

  1. 身份验证 - 请提交您的用户凭据、客户端 ID 和客户端密钥以进行 OAuth2 身份验证。有关如何调用 OAuth API 来验证和确认您的凭据的说明,请参阅API 身份验证

  2. 调用 Get Device Types 函数,即可了解要在 NE 平台上启动的集群设备(例如路由器或防火墙)。您将了解到虚拟设备可用的都市区、设备供应商、可用核心数以及软件包及其版本。请选择 deviceTypeCodemetroCodecorepackageCodeversion

  3. 调用 Get Allowed Interfaces 函数,即可了解所选核心允许的接口数量。您可以选择任何可用的设备接口作为 sshInterfaceId。 否则,Equinix 将选择第一个可用的接口。

  4. 调用 Get Accounts {metro} 来检查您在需要虚拟设备的都市区中的“账号”(或“acountReferenceId”)和状态。出于计费原因,您必须在需要虚拟设备的都市区中拥有一个账户,该账户的状态可以是“激活”或“待处理”。如果您还没有账户,请创建一个account

    如果您是经销商,想要为客户创建设备,则必须确保客户和您(经销商)的账户状态均为“激活”或“待处理”。您的账户将被计费,但您必须将客户的账号发送到 POST API 才能为客户创建设备。

许可选项

截至目前,我们仅为集群提供 BYOL(自带许可)选项。

  • Juniper 集群 - 创建 Juniper 集群无需上传许可证文件。但是,您可以上传两个许可证文件。要上传两个许可证文件,请调用两次 Post License File。您将在响应中收到许可证文件 ID,可以使用这些 ID 创建集群。

  • Palo Alto 集群 - 您必须上传两个来自供应商的许可证令牌。这两个许可证令牌可以相同,也可以不同。

  • Fortinet 集群 - 您无需输入令牌或许可证。如果您需要上传许可证文件,则必须上传两个不同的许可证文件。要上传两个许可证文件,请调用两次 Post License File。您将在响应中收到许可证文件 ID,可用于创建集群。

  • Arista VeloCloud SD-WAN 边缘集群 您无需上传许可证文件或令牌。但是,您必须提供激活密钥。如果设备创建后许可证注册失败,您必须登录设备并上传许可证。然后,调用 Update Virtual Device 并将状态值设置为 PROVISIONED

创建集群设备

POST /ne/v1/devices
MethodPOST
URL or End Point/ne/v1/devices
HeadersAuthorization token, Content-Type
Query Parametersdraft, draftUuid

注意:创建虚拟设备即表示您接受订单条款。调用获取订单条款查看详细信息。

要保存设备草稿,您必须提供deviceTypeCodeaccountNumberaccountReferenceId。 以及一个“地铁代码”。

创建 vSRX 集群的示例 curl 请求:

curl -X
POST "https://api.equinix.com/ne/v1/devices?draft=false"
-H "content-type: application/json"
-H "Authorization: Bearer <token>"
-d '
{
    "deviceTypeCode": "VSRX",
    "clusterDetails": {
        "clusterName": "sroy-juniper",
        "clusterNodeDetails": {
            "node0": {
                "vendorConfig": {
                    "hostname": "sr012"
                },
                "licenseFileId": "1274fe9f-511c-436f-bc0c-14c876ec55da"
            },
            "node1": {
                "vendorConfig": {
                    "hostname": "sr123"
                },
                "licenseFileId": "65a9be3f-57fb-4c4d-a15b-40950951bc13"
            }
        }
    },
    "metroCode": "SV",
    "termLength": "1",
    "licenseMode": "BYOL",
    "packageCode": "STD",
    "virtualDeviceName": "Test-device-001-SROY",
    "notifications": [
        "test@equinix.com"
    ],
    "hostname": "sr012",
    "aclDetails": [
       {
         "uuid": "fb2e69bb-cbd7-40c4-bc01-8bcc5fa741c2",
         "interfaceType": "WAN"
       }
    ],
    "accountNumber": "201148",
    "version": "18.4R3-S2",
    "interfaceCount": 8,
    "agreeOrderTerms": true,
    "deviceManagementType": "SELF-CONFIGURED",
    "core": 5,
    "userPublicKey": {
        "username": "sroy",
        "keyName": "keyLlhzL"
    },
    "additionalBandwidth": "100"
}
'

以下是一个用于创建 Arista Velocloud SDWAN 集群的 curl 请求示例:

curl -X
POST "https://api.equinix.com/ne/v1/devices?draft=false"
-H "content-type: application/json"
-H "Authorization: Bearer <token>"
-d '
{
    "metroCode": "SY",
    "deviceTypeCode": "VELOCLOUD-SDWAN",
    "termLength": "1",
    "clusterDetails": {
        "clusterName": "sroy-velo-cluster",
        "vendorConfig": {
            "node0": {
                "activationKey": "GJUK-JM2X-59BJ-SAMPLE",
                "controllerFqdn": "demo.velocloud.net",
                "rootPassword": "TestPassword!"
            },
            "node1": {
                "rootPassword": "TestPassword#"
            }
        }
    },
    "licenseMode": "BYOL",
    "packageCode": "VeloCloud-4",
    "virtualDeviceName": "velo-cluster",
    "notifications": [
        "test@equinix.com"
    ],
    "aclDetails": [
       {
         "uuid": "fb2e69bb-cbd7-40c4-bc01-8bcc5fa741c2",
         "interfaceType": "WAN"
       }
    ],
    "accountNumber": "2393479",
    "version": "3.4.2",
    "interfaceCount": 8,
    "deviceManagementType": "SELF-CONFIGURED",
    "agreeOrderTerms": true,
    "core": 4,
    "userPublicKey": {
        "username": "sroy",
        "keyName": "key7YFfL"
    },
    "additionalBandwidth": "200"
}
'

创建无互联网访问的 PANW 集群的示例 curl 请求:

curl -X
POST "https://api.equinix.com/ne/v1/devices?draft=false"
-H "content-type: application/json"
-H "Authorization: Bearer <token>"
-d '
{
    "deviceTypeCode": "PA-VM",
    "clusterDetails": {
        "clusterName": "NEAut-",
        "clusterNodeDetails": {
            "node0": {
            "vendorConfig": {
                "hostname": "PANCluster"
            }
            },
            "node1": {
            "vendorConfig": {
                "hostname": "PANCluster"
            }
            }
        }
    },
    "metroCode": "#(supportedMetro)",
    "zoneCode": "Zone1",
    "termLength": "1",
    "licenseMode": "BYOL",
    "packageCode": "VM100",
    "virtualDeviceName": "NEAut-",
    "notifications": [
        "t@t.com"
    ],
    "version": "10.1.3",
    "interfaceCount": 10,
    "deviceManagementType": "SELF-CONFIGURED",
    "core": 2,
    "connectivity": "PRIVATE"
}
'

有关参数和选项的完整列表,请参阅API 参考

示例响应

示例响应 202:请求已接受。

{
    "uuid": "34b7838c-ec82-4166-ac19-efa03b4e34fe",
    "deviceIds": {
        "node0": "34b7838c-ec82-4166-ac19-efa03b4e34fe",
        "node1": "f27f1475-3c7f-447f-b0db-e3bb3af3de16"
    },
    "clusterId": "27eea9aa-327b-431b-bf62-3cee4d880f2e"
}

设备状态

当集群创建时,自配置集群会在集群内部经历各种状态的转换。 Equinix 基础架构。可以使用 Get Virtual Device {uuid} 方法的 status 响应属性来监控这些状态。您必须先配置集群并注册许可证,然后才能使用此集群连接到云服务提供商。

Virtual device statesDescription
INITIALIZINGEquinix is in the process of reserving resources and creating the device.
PENDING_ACCOUNTCustomer's account is not approved. The device creation will continue once the account gets approved.
PROVISIONINGThe device is booting.
PENDING_ORDERThis status only applies to orders coming to NE from Siebel. Customers need to log in to the Network Edge portal and submit the pending order.
PENDING_SIGNATUREThe customer has not yet accepted Network Edge terms.
CANCEL_ORDERThe order from Siebel to NE is canceled. This status only applies to orders coming to Network Edge from Siebel.
WAITING_FOR_PRIMARYThe secondary device is ready but the primary is not. This state may appear if you have requested a redundant device.
WAITING_FOR_SECONDARYThe primary device is ready but the secondary is not. This state may appear if you have requested a redundant device.
FAILEDThe device creation failed.
PROVISIONEDThe device is ready.
DEPROVISIONINGEquinix accepted the customer's request to delete the virtual device.
DEPROVISIONEDThe device is de-provisioned/deleted.

当最终用户使用 Delete Virtual Devices API 删除设备时,该设备在 Equinix 系统中会经历以下状态转换。 基础设施。

statusDescription
DEPROVISIONINGEquinix accepted the customer's request to delete the virtual device.
DEPROVISIONEDThe device is de-provisioned/deleted.
此页面有帮助吗?